Subject: Re: Git in GSoC 2025

From: Oswald Buddenhagen <[email-masked]>
Date: Tue, 21 Jan 2025 12:47:14 +0100

On Mon, Jan 20, 2025 at 08:07:53AM +0100, Patrick Steinhardt wrote:
>  - Create a new command to query repository-level information,

>    potentially making it machine-readable via for example JSON.
>
only optionally, please. the current positional output (each line
corresponds to the respective query command) is much easier to deal with
in shell scripts.

>    This
>    would move such information out of git-rev-parse(1), which is a
>    somewhat weird home for it. It's something I have been thinking
>    about quite a bit,

> but it wasn't ever discussed to the best of my knowledge.
>
that depends on what level of engagement counts as "discussed".
https://lore.kernel.org/git/ZZbFGTkM8aR7MXQu@tanuki/